#include <stdint.h>

#define N_MEAS 100	// number of measurements
#define N_PRE  30
#define N_POST N_MEAS - N_PRE
#define TH_lo (0.90/3.3) 	* (1<<16)
#define TH_hi (1/3.3) 	* (1<<16)

extern uint16_t results[N_MEAS+1];
extern uint8_t DC;

void ADC_calibrate();
void DMA_init();
void ADC_READ_init();
void ADC_READ_interrupt();
